Mac build back to working

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Mac build back to working

David Reiser
I'm a happy camper. svn-trunk through r11955 is building and working  
for me.

I resolved the libofx problem, and it is working.

I do still have some linking problems resulting from multiple library  
locations (fink, non-fink open source, Apple, and trolltech), but  
Christian S. is providing some insight there while he helps me get  
aqbanking functional.

The gnucash help system doesn't work for me. If I pick either the  
Tutorial or Contents from the Help menu, I get nothing. No window,  
dialog, or console message. Tips of the day work.

Thanks for all the work you've put in and the help you have provided  
to me.
--
David Reiser
[hidden email]

_______________________________________________
gnucash-devel mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-devel
Reply | Threaded
Open this post in threaded view
|

Re: Mac build back to working

David Hampton-2
On Thu, 2005-11-17 at 00:23 -0500, David Reiser wrote:
> The gnucash help system doesn't work for me. If I pick either the  
> Tutorial or Contents from the Help menu, I get nothing. No window,  
> dialog, or console message. Tips of the day work.

You need to check out and build gnucash-docs.

David


_______________________________________________
gnucash-devel mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-devel
Reply | Threaded
Open this post in threaded view
|

Re: Mac build back to working

David Reiser

On Nov 17, 2005, at 12:51 AM, David Hampton wrote:

> On Thu, 2005-11-17 at 00:23 -0500, David Reiser wrote:
>> The gnucash help system doesn't work for me. If I pick either the
>> Tutorial or Contents from the Help menu, I get nothing. No window,
>> dialog, or console message. Tips of the day work.
>
> You need to check out and build gnucash-docs.
>
> David

Ah yes. And even mentioned in the first couple hundred lines of  
README. Sorry about that.

Unfortunately, while building gnucash-docs was relatively painless  
(but could the autogen.sh behavior be harmonized with the application  
trunk behavior?), I still can't get at the docs.

Is there a maximum version of gnome things compatible with gnucash?  
With Yelp 2.12.1 installed, I get:

I/O warning : failed to load external entity "/Users/dbr/.gnome2/yelp-
bookmarks.xbel"

(gnome-help:15230): Gtk-CRITICAL **: gtk_stock_lookup: assertion  
`stock_id != NULL' failed

(gnome-help:15230): Pango-CRITICAL **:  
pango_font_description_from_string: assertion `str != NULL' failed

(gnome-help:15230): Pango-CRITICAL **:  
pango_font_description_from_string: assertion `str != NULL' failed

obviously not directly gnucash problem, but...

If I drop back to yelp 2.6.1, when I pick Topics from the gnucash  
Help menu, the help window opens, but is immediately followed by a  
dialog saying "There is no default action associated with this  
location."

Any suggestions?

--
David Reiser
[hidden email]

_______________________________________________
gnucash-devel mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-devel
Reply | Threaded
Open this post in threaded view
|

Re: Mac build back to working

David Hampton-2
On Fri, 2005-11-18 at 00:26 -0500, David Reiser wrote:

> Is there a maximum version of gnome things compatible with gnucash?  
> With Yelp 2.12.1 installed, I get:

> I/O warning : failed to load external entity "/Users/dbr/.gnome2/yelp-
> bookmarks.xbel"

I get this error with yelp 2.10.

> (gnome-help:15230): Gtk-CRITICAL **: gtk_stock_lookup: assertion  
> `stock_id != NULL' failed
>
> (gnome-help:15230): Pango-CRITICAL **:  
> pango_font_description_from_string: assertion `str != NULL' failed
>
> (gnome-help:15230): Pango-CRITICAL **:  
> pango_font_description_from_string: assertion `str != NULL' failed

I get two different CRITICAL errors and one WARNING.

> obviously not directly gnucash problem, but...

:-)

> If I drop back to yelp 2.6.1, when I pick Topics from the gnucash  
> Help menu, the help window opens, but is immediately followed by a  
> dialog saying "There is no default action associated with this  
> location."

For what its worth, I'm running yelp 2.10 on FC4 and both the Tutorial
and Contents menu items yield the correct documentation.  I also have
yelp 2.6.5 in a gnome-2.8 directory under /opt.  It works correctly with
no errors or warnings.

> Any suggestions?

Sorry, no.  I've got the core gnome 2.12 libraries installed in /opt,
but I'm unable to compile yelp 2.12 (because I can't compile one of its
dependencies.)

David


_______________________________________________
gnucash-devel mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-devel
Reply | Threaded
Open this post in threaded view
|

gnucash-docs and yelp working on Mac

David Reiser
My problems below were fixed by updating a bunch of gnome  
dependencies. I suspect glib2 was causing my heartburn, but I wasn't  
documenting my changes carefully enough to be sure now.

I still get the stock_lookup critical message plus one warning, but  
yelp 2.12.2 now allows me to view gnucash-docs.

Dave

On Nov 24, 2005, at 1:49 AM, David Hampton wrote:

> On Fri, 2005-11-18 at 00:26 -0500, David Reiser wrote:
>
>> Is there a maximum version of gnome things compatible with gnucash?
>> With Yelp 2.12.1 installed, I get:
>
>> I/O warning : failed to load external entity "/Users/dbr/.gnome2/
>> yelp-
>> bookmarks.xbel"
>
> I get this error with yelp 2.10.
>
>> (gnome-help:15230): Gtk-CRITICAL **: gtk_stock_lookup: assertion
>> `stock_id != NULL' failed
>>
>> (gnome-help:15230): Pango-CRITICAL **:
>> pango_font_description_from_string: assertion `str != NULL' failed
>>
>> (gnome-help:15230): Pango-CRITICAL **:
>> pango_font_description_from_string: assertion `str != NULL' failed
>
> I get two different CRITICAL errors and one WARNING.
>
>> obviously not directly gnucash problem, but...
>
> :-)
>
>> If I drop back to yelp 2.6.1, when I pick Topics from the gnucash
>> Help menu, the help window opens, but is immediately followed by a
>> dialog saying "There is no default action associated with this
>> location."
>
> For what its worth, I'm running yelp 2.10 on FC4 and both the Tutorial
> and Contents menu items yield the correct documentation.  I also have
> yelp 2.6.5 in a gnome-2.8 directory under /opt.  It works correctly  
> with
> no errors or warnings.
>
>> Any suggestions?
>
> Sorry, no.  I've got the core gnome 2.12 libraries installed in /opt,
> but I'm unable to compile yelp 2.12 (because I can't compile one of  
> its
> dependencies.)
>
> David
>
>

--
David Reiser
[hidden email]
Mac 10.4.3, gcc 3.3, gwrap 1.3.4
_______________________________________________
gnucash-devel mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-devel